[arch-commits] Commit in distcc/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Fri Nov 20 01:17:41 EST 2009


    Date: Friday, November 20, 2009 @ 01:17:41
  Author: giovanni
Revision: 59084

Merged revisions 59082 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/distcc/trunk

........
  r59082 | giovanni | 2009-11-19 22:16:00 -0800 (gio, 19 nov 2009) | 2 lines
  
  upgpkg: distcc 3.1-2
      Removed old gcc dep
........

Modified:
  distcc/repos/extra-x86_64/	(properties)
  distcc/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   41 +++++++++++++++++++++++++----------------
 1 file changed, 25 insertions(+), 16 deletions(-)


Property changes on: distcc/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /distcc/trunk:1-28150
   + /distcc/trunk:1-59083

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-20 06:16:45 UTC (rev 59083)
+++ extra-x86_64/PKGBUILD	2009-11-20 06:17:41 UTC (rev 59084)
@@ -1,30 +1,39 @@
 # $Id$
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+
 pkgname=distcc
 pkgver=3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A distributed C, C++, Obj C compiler"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://code.google.com/p/distcc/"
 license=('GPL')
-depends=(popt gcc)
-makedepends=(gtk2 pkgconfig)
+depends=('popt')
+makedepends=('gtk2' 'pkgconfig')
+optdepends=('gtk2: for distccmon-gnome')
 backup=(etc/conf.d/distccd)
-source=(http://distcc.googlecode.com/files/$pkgname-$pkgver.tar.bz2 distccd distccd.conf.d)
-md5sums=('a1a9d3853df7133669fffec2a9aab9f3' '1c918474372c09304772c20c4de484fa'\
+source=(http://distcc.googlecode.com/files/${pkgname}-${pkgver}.tar.bz2 
+        distccd 
+        distccd.conf.d)
+md5sums=('a1a9d3853df7133669fffec2a9aab9f3' 
+         '1c918474372c09304772c20c4de484fa'
          '89aaf6e9072092e283465a14e83f0f94')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --prefix=/usr --with-gtk --sysconfdir=/etc --mandir=/usr/share/man || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr \
+              --with-gtk \
+              --sysconfdir=/etc \
+              --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
-  install -D -m644 ../distccd.conf.d $pkgdir/etc/conf.d/distccd
-  install -D -m755 ../distccd $pkgdir/etc/rc.d/distccd
+  make DESTDIR="${pkgdir}/" install || return 1
+  install -D -m644 ${srcdir}/distccd.conf.d ${pkgdir}/etc/conf.d/distccd
+  install -D -m755 ${srcdir}/distccd ${pkgdir}/etc/rc.d/distccd
 
-  mkdir -p $pkgdir/usr/lib/${pkgname}/bin
-  ln -sf /usr/bin/${pkgname} $pkgdir/usr/lib/${pkgname}/bin/cc
-  ln -sf /usr/bin/${pkgname} $pkgdir/usr/lib/${pkgname}/bin/gcc
-  ln -sf /usr/bin/${pkgname} $pkgdir/usr/lib/${pkgname}/bin/g++
-  ln -sf /usr/bin/${pkgname} $pkgdir/usr/lib/${pkgname}/bin/cpp
+  install -d ${pkgdir}/usr/lib/${pkgname}/bin
+  ln -sf /usr/bin/${pkgname} ${pkgdir}/usr/lib/${pkgname}/bin/cc
+  ln -sf /usr/bin/${pkgname} ${pkgdir}/usr/lib/${pkgname}/bin/gcc
+  ln -sf /usr/bin/${pkgname} ${pkgdir}/usr/lib/${pkgname}/bin/g++
+  ln -sf /usr/bin/${pkgname} ${pkgdir}/usr/lib/${pkgname}/bin/cpp
 }



More information about the arch-commits mailing list